#!/bin/sh

# 1. 先把 0bda:1a2b 从 U 盘模式切走
/usr/sbin/usb_modeswitch -K -v 0bda -p 1a2b

# 2. 再恢复 usb 存储模块（只做一次可以用简单锁文件防抖）
if [ ! -e /run/comfast-usb-storage-loaded ]; then
	/sbin/modprobe usb_storage
	/sbin/modprobe uas
	touch /run/comfast-usb-storage-loaded
fi

exit 0
